Subject: Re: [PATCH] Install built-ins as symlinks

From: Alp Toker <[email-masked]>
Date: Tue, 11 Jul 2006 15:58:28 +0100

Johannes Schindelin wrote:
>> Doing this now will save headache in the long run, avoiding mismatched
>> versions of installed utilities and dangling copies of removed or
>> renamed git commands that still appear to work. It also makes screwups
>> when packaging git or making system backups less likely.
> 
> Could we please fix things, which are broken? Not things which work?

There are maybe a dozen arguments for and against the use of symlinks 
here, some of which Andreas has helpfully explained in his reply. You, 
on the other hand, have managed not to mention a single one of them.

If you don't have the technical background to review a certain patch, 
please don't add to the noise.